Subject: Re: [Tools-discuss] [rfc-i] RFC Index Files Updates -- XML and HTML

From: Brian E Carpenter <[email-masked]>
Date: Tue, 18 Aug 2009 13:05:38 +1200

Hi,

Thanks for this.

Is there any reason not to add the stream info to the .txt version
of the index?

Regards
   Brian

On 2009-08-15 07:42, RFC Editor wrote:
> Greetings,
> 
> FYI, we have added stream information to RFC indices (XML and HTML) as
> mentioned in Section 6 of
> draft-iab-streams-headers-boilerplates-08. Stream is as defined in RFC
> 4844 (IETF, IAB, IRTF, or Independent) or Legacy*. In the case of IETF
> stream, the area and WG acronym are included.
> 
> The following files will be updated on Monday (17 August 2009) to
> include Stream information:
> 
> Hyperlinked index of RFCs:
>   http://www.rfc-editor.org/rfc-index.html  (ascending by RFC number)
>   http://www.rfc-editor.org/rfc-index2.html (descending by RFC number)
> 
> XML index of RFCs:
>   ftp://ftp.rfc-editor.org/in-notes/rfc-index.xml
> 
> XML schema:
>   ftp://ftp.rfc-editor.org/in-notes/rfc-index.xsd
>   Note: The new elements are <stream>, <area>, and <wg_acronym>.
> 
> Each of these files is linked to from
> http://www.rfc-editor.org/rfc.html.
> 
> *As noted previously (regarding metadata pages), some RFCs are marked
> Legacy, indicating that source information was not recorded for this
> RFC; we are working on updating this information for RFCs for which it
> exists.
> 
> Thank you.
> 
> RFC Editor
> 
>>From Section 6 of draft-iab-streams-headers-boilerplates-08:
> 
>    Adding a reference to the stream in the header of RFCs is only one
>    method for clarifying from which stream an RFC originated.  The RFC
>    editor is encouraged to add such indication in e.g., indices and
>    interfaces.
> _______________________________________________
> rfc-interest mailing list
> [email-masked]
> http://mailman.rfc-editor.org/mailman/listinfo/rfc-interest
>

---

From: Fred Baker <[email-masked]>
Date: Mon, 17 Aug 2009 19:30:56 -0700

OK, dumb question.

We have tools that generate files like the attached. They are in the  
xml2rfc toolset. Any chance we could pull these together into an XML  
database similar to that of the RFC Editor's?

On Aug 17, 2009, at 6:05 PM, Brian E Carpenter wrote:

> Tools-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tools-discuss

---

From: Fred Baker <[email-masked]>
Date: Mon, 17 Aug 2009 19:33:31 -0700

I actually would want to change one thing; I would like to add the  
author's email address to the XML file. Reason - I have some tools  
that I would like to extract it using.

On Aug 17, 2009, at 7:30 PM, Fred Baker wrote:

> <reference.I-D.draft-hixie-thewebsocketprotocol-34.xml>
>

---

From: Julian Reschke <[email-masked]>
Date: Tue, 18 Aug 2009 08:11:18 +0200

RFC Editor wrote:
> ...

Out of curiosity: why is it <wg_acronym>, not <wg-acronym>? (so far, the 
vocabulary has used hyphens)

BR, Julian

---

From: Bob Braden <[email-masked]>
Date: Tue, 18 Aug 2009 08:24:37 -0700

> Is there any reason not to add the stream info to the .txt version

Brian,

This is the result of a 10-year old policy at the RFC Editor. After 
Joyce and I took over the job, the desire arose to add additional fields 
to rfc-index.txt. However, input from various people in the community 
convinced us that a fair number of hard-core Internauts had written 
their own code to parse the obscure syntax of rfc-index.txt and reformat 
it for their own purposes.  We feared that adding new fields to 
rfc-index.txt would screw these people.  We therefore decided to freeze 
the format of rfc-index.txt at the 1989 level, and instead make an html 
version (and later an xml version) with extended fields.  So all changes 
or extensions to the index format go only into the .xml and .html versions.

Now that XML has taken over the world, maybe this policy should be 
revisited.

Bob Braden

---

From: Fred Baker <[email-masked]>
Date: Tue, 18 Aug 2009 11:04:39 -0700

I would agree that people that are parsing rfc-index.txt should  
probably be using the XML version.

On Aug 18, 2009, at 8:24 AM, Bob Braden wrote:

> Joyce and I took over the job, the desire arose to add additional  
> fields to rfc-index.txt. However, input from various people in the  
> community convinced us that a fair number of hard-core Internauts  
> had written their own code to parse the obscure syntax of rfc- 
> index.txt and reformat it for their own purposes.  We feared that  
> adding new fields to rfc-index.txt would screw these people.  We  
> therefore decided to freeze the format of rfc-index.txt at the 1989  
> level, and instead make an html version (and later an xml version)  
> with extended fields.  So all changes or extensions to the index  
> format go only into the .xml and .html versions.
>

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 19 Aug 2009 10:28:25 +1200

Fred,

I agree re machine parsing. My concern is that when human eyes look
at the txt file, they won't find the stream name. And for some purposes,
plain text is still more convenient than *ML. I certainly see Bob's
point about compatibility with pre-1989 awk scripts though ;-)

BTW, while we're on the subject, does anyone here maintain a BibTeX
version of the RFC index?

    Brian

On 2009-08-19 06:04, Fred Baker wrote:
> I would agree that people that are parsing rfc-index.txt should probably
> be using the XML version.
> 
>> community convinced us that a fair number of hard-core Internauts had
>> written their own code to parse the obscure syntax of rfc-index.txt
>> and reformat it for their own purposes.  We feared that adding new
>> fields to rfc-index.txt would screw these people.  We therefore
>> decided to freeze the format of rfc-index.txt at the 1989 level, and
>> instead make an html version (and later an xml version) with extended
>> fields.  So all changes or extensions to the index format go only into
>> the .xml and .html versions.
>>

---

From: Lars Eggert <[email-masked]>
Date: Thu, 20 Aug 2009 16:30:00 +0200

> version of the RFC index?

Miguel Garcia has one, and googling "bibtext RFC" shows several more.

Lars

---

From: RFC Editor <[email-masked]>
Date: Fri, 14 Aug 2009 12:42:44 -0700

Greetings,

XML index of RFCs:

XML schema:

Thank you.

RFC Editor

---

From: Alice Hagens <[email-masked]>
Date: Mon, 31 Aug 2009 10:24:27 -0400

Hi Julian,

The underscore matches the field name in the database. It was carried  
over from that. A quirk of the system (built by several hands over  
several years) -- field names have hyphens or underscores.

Alice
for the RFC Editor